How to install OWASP Joomscan vulnerability scanner @Windows

Posted: 25 April 2016 in ITsec
Tags: , , , , , , ,

To use Joomscan.pl, a PERL interpreter is needed to be installed in Windows.
http://www.activestate.com/activeperl/downloads
After installation there should be an ENV variable to be available through CLI, so now open CMD (Windows+R) as an Administrator(!), and type:
cpan
install local::lib
install App::cpanminus

Which installs the compilers, which now needs to be configured:
exit
cpanm install -f Switch

Now, use it:
perl joomscan.pl

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s